var curTransItem = 0;	//Setup by transition Script.  The transition item.
var numTransItems = 0;	//Setup by transition Script.  The number of items in the transition array.
var animArray = 0;	    //Setup by Transition script.  contains items for transitions

function inetMakeTransArray(n)
{
	numTransItems = n;
	curTransItem = 0;
	animArray = new Array( n );
	for(var i=0; i < n; i++)
		animArray[i] = 0;
}

function inetAnimation(l, container, type)
{
	this.issetup = false;
	this.layer = l;
	this.container = container;
	this.type = type;
	this.endX = 0;
	this.endY = 0;
	this.slope = 0;
	this.intercept = 0;
	this.tc = 0;
	this.lc = 0;
	this.bc = 0;
	this.rc = 0;
}

function inetDoTransitions()
{
	var theFunc = animArray[ curTransItem ].type + "();";
	eval( theFunc );
	if( curTransItem < numTransItems )
	{
		setTimeout( "inetDoTransitions()", 50 );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
// Move From Left
////////////////////////////////////////////////////////////////////////////////////////

function inetMoveFromLeft()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if(theAnim.issetup == false)
	{
		theAnim.endX = inetGetLeft( theItem );
		inetSetLeft( theItem, (0 - inetGetWidth(theItem)) );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( inetGetLeft(theItem) >= theAnim.endX )
	{
		curTransItem++;
	}
	else{
		var x = inetGetLeft( theItem );
		if( (x + 10) > theAnim.endX )
			x = theAnim.endX;
		else
			x = x + 10;
		inetSetLeft( theItem, x );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
// Move From Right
////////////////////////////////////////////////////////////////////////////////////////

function inetMoveFromRight(){
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if(theAnim.issetup == false)
	{
		theAnim.endX = inetGetLeft( theItem );
		inetSetLeft( theItem, inetGetWidth(theAnim.container) );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( inetGetLeft(theItem) <= theAnim.endX ){
		curTransItem++;
	}
	else
	{
		var x = inetGetLeft( theItem );
		if( (x - 10) < theAnim.endX )
			x = theAnim.endX;
		else
			x = x - 10;
		inetSetLeft( theItem, x );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
// Move From Top
////////////////////////////////////////////////////////////////////////////////////////

function inetMoveFromTop()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if(theAnim.issetup == false)
	{
		theAnim.endY = inetGetTop( theItem );
		inetSetTop( theItem, (0 - inetGetHeight(theItem)) );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( inetGetTop(theItem) >= theAnim.endY )
	{
		curTransItem++;
	}
	else
	{
		var y = inetGetTop( theItem );
		if( (y + 10) > theAnim.endY )
		{
			y = theAnim.endY;
		}
		else
		{
			y = y + 10;
		}
		inetSetTop( theItem, y );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Move From Bottom
////////////////////////////////////////////////////////////////////////////////////////

function inetMoveFromBottom()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if(theAnim.issetup == false){
		theAnim.endY = inetGetTop( theItem );
		inetSetTop( theItem, inetGetHeight(theAnim.container) );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( inetGetTop(theItem) <= theAnim.endY ){
		curTransItem++;
	}
	else{
		var y = inetGetTop( theItem );
		if( (y - 10) < theAnim.endY )
			y = theAnim.endY;
		else
			y = y - 10;
		inetSetTop( theItem, y );
		//setTimeout = ( "inetMoveFromBottom()", 10 );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
// Move From Bottom Right
////////////////////////////////////////////////////////////////////////////////////////

function inetMoveFromBottomRight()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endX = inetGetLeft( theItem );
		theAnim.endY = inetGetTop( theItem );
		inetSetTop( theItem, inetGetHeight(theAnim.container) );
		inetSetLeft( theItem, inetGetWidth(theAnim.container) );
		inetSetVisible( theItem, true );
		theAnim.slope = (-theAnim.endY - (-inetGetTop(theItem)))/(theAnim.endX - (inetGetLeft(theItem)));
		theAnim.intercept = theAnim.endY + (theAnim.endX * theAnim.slope);
		theAnim.issetup = true;
	}

	if( inetGetTop(theItem) <= theAnim.endY ){
		inetSetTop( theItem, theAnim.endY );
		inetSetLeft( theItem, theAnim.endX );
		curTransItem++;
	}
	else{
		var y = 0;
		var x = 0;
		var m = theAnim.slope;
		var b = theAnim.intercept;

		if( (inetGetTop(theItem) - theAnim.endY) > 10 ){
			x = inetGetLeft( theItem ) - 10;
			y = Math.round( -(m * x) + b );
		}
		else if( (inetGetTop(theItem) - theAnim.endY) == 0 ){
			x = theAnim.endX;
			y = inetGetTop( theItem );
		}
		else{
			x = inetGetLeft( theItem ) - 1;
			y = Math.round( -(m * x) + b );
		}
		inetSetTop( theItem, y );
		inetSetLeft( theItem, x );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Move From Bottom Left
////////////////////////////////////////////////////////////////////////////////////////

function inetMoveFromBottomLeft()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endX = inetGetLeft( theItem );
		theAnim.endY = inetGetTop( theItem );
		inetSetTop( theItem, inetGetHeight(theAnim.container) );
		inetSetLeft( theItem, (0 - inetGetWidth(theItem)) );
		inetSetVisible( theItem, true );
		theAnim.slope = (-theAnim.endY - (-inetGetTop(theItem)))/(theAnim.endX - inetGetLeft(theItem));
		theAnim.intercept = theAnim.endY + (theAnim.endX * theAnim.slope);
		theAnim.issetup = true;
	}

	if( inetGetTop(theItem) <= theAnim.endY ){
		inetSetTop( theItem, theAnim.endY );
		inetSetLeft( theItem, theAnim.endX );
		curTransItem++;
	}
	else{
		var y = 0;
		var x = 0;
		var m = theAnim.slope;
		var b = theAnim.intercept;

		if( (inetGetTop(theItem) - theAnim.endY) > 10 ){
			x = inetGetLeft( theItem ) + 10;
			y = Math.round( -(m * x) + b );
		}
		else if( (inetGetTop(theItem) - theAnim.endY) == 0 ){
			x = inetGetLeft( theItem );
			y = inetGetTop( theItem );
		}
		else{
			x = inetGetLeft( theItem ) + 1;
			y =  Math.round( -(m * x) + b );
		}

		inetSetTop( theItem, y );
		inetSetLeft( theItem, x );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Move From Top Left
////////////////////////////////////////////////////////////////////////////////////////

function inetMoveFromTopLeft()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endX = inetGetLeft( theItem );
		theAnim.endY = inetGetTop( theItem );
		inetSetTop( theItem, (0 - inetGetHeight(theItem)) );
		inetSetLeft( theItem, (0 - inetGetWidth(theItem)) );
		inetSetVisible( theItem, true );
		theAnim.slope = (-theAnim.endY - (-inetGetTop(theItem)))/(theAnim.endX - inetGetLeft(theItem));
		theAnim.intercept = theAnim.endY + (theAnim.endX * theAnim.slope);
		theAnim.issetup = true;
	}

	if( inetGetTop(theItem) >= theAnim.endY ){
		inetSetLeft( theItem, theAnim.endX );
		inetSetTop( theItem, theAnim.endY );
		curTransItem++;
	}
	else{
		var y = 0;
		var x = 0;
		var m = theAnim.slope;
		var b = theAnim.intercept;

		if( (theAnim.endY - inetGetTop(theItem)) > 10 ){
			x = inetGetLeft( theItem ) + 10;
			y = Math.round( -(m * x) + b );
		}
		else if( (theAnim.endY - inetGetTop(theItem)) == 0 ){
			x = inetGetLeft( theItem );
			y = inetGetTop( theItem );
		}
		else{
			x = inetGetLeft( theItem ) + 1;
			y = Math.round( -(m * x) + b );
		}

		inetSetTop( theItem, y );
		inetSetLeft( theItem, x );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Move From Top Right
////////////////////////////////////////////////////////////////////////////////////////

function inetMoveFromTopRight()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endX = inetGetLeft( theItem );
		theAnim.endY = inetGetTop( theItem );
		inetSetTop( theItem, (0 - inetGetHeight(theItem)) );
		inetSetLeft( theItem, inetGetWidth(theAnim.container) );
		inetSetVisible( theItem, true );
		theAnim.slope = (-theAnim.endY - (-inetGetTop(theItem)))/(theAnim.endX - inetGetLeft(theItem));
		theAnim.intercept = theAnim.endY + (theAnim.endX * theAnim.slope);
		theAnim.issetup = true;
	}

	if( inetGetTop(theItem) >= theAnim.endY ){
		inetSetLeft( theItem, theAnim.endX );
		inetSetTop( theItem, theAnim.endY );
		curTransItem++;
	}
	else{
		var y = 0;
		var x = 0;
		var m = theAnim.slope;
		var b = theAnim.intercept;

		if( (theAnim.endY - inetGetTop(theItem)) > 10 ){
			x = inetGetLeft( theItem ) - 10;
			y = Math.round( -(m * x) + b );
		}
		else if( (theAnim.endY - inetGetTop(theItem)) == 0 ){
			x = inetGetLeft( theItem );
			y = inetGetTop( theItem );
		}
		else{
			x = inetGetLeft( theItem ) - 1;
			y = Math.round( -(m * x) + b );
		}
		inetSetTop( theItem, y );
		inetSetLeft( theItem, x );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Grow From Bottom
////////////////////////////////////////////////////////////////////////////////////////

function inetGrowFromBottom()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.tc = inetGetHeight( theItem );
		theAnim.lc = 0;
		theAnim.bc = inetGetHeight( theItem );
		theAnim.rc = inetGetWidth( theItem );
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( theAnim.tc <= 0 ){
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		curTransItem++;
	}
	else{
		var y = 0;

		if( theAnim.tc > 10 ) y = -5
		else if( theAnim.tc == 0 ) y = 0
		else y = -1;

		theAnim.tc = theAnim.tc + y;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Grow From Left
////////////////////////////////////////////////////////////////////////////////////////

function inetGrowFromLeft()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endX = inetGetWidth(theItem);
		theAnim.tc = 0;
		theAnim.lc = 0;
		theAnim.bc = inetGetHeight( theItem );
		theAnim.rc = 0;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( theAnim.rc >= theAnim.endX ){
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		curTransItem++;
	}
	else{
		var x = 0;

		if( (theAnim.endX - theAnim.rc) > 10 ) x = 5
		else if( (theAnim.endX - theAnim.rc) == 0 ) x = 0
		else x = 1;

		theAnim.rc = theAnim.rc + x;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Grow From Right
////////////////////////////////////////////////////////////////////////////////////////

function inetGrowFromRight()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.tc = 0;
		theAnim.lc = inetGetWidth( theItem );
		theAnim.bc = inetGetHeight( theItem );
		theAnim.rc = inetGetWidth( theItem );
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( theAnim.lc <= 0 ){
		inetSetClipRect( theItem, theAnim.tc, 0, theAnim.bc, theAnim.rc );
		curTransItem++;
	}
	else{
		var x = 0;

		if( theAnim.lc > 10 ) x = -5
		else if( theAnim.lc == 0 ) x = 0
		else x = -1;

		theAnim.lc = theAnim.lc + x;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Grow From Top
////////////////////////////////////////////////////////////////////////////////////////

function inetGrowFromTop()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endY = inetGetHeight(theItem);
		theAnim.tc = 0;
		theAnim.lc = 0;
		theAnim.bc = 0;
		theAnim.rc = inetGetWidth( theItem );
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( theAnim.bc >= theAnim.endY ){
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, inetGetHeight(theItem), theAnim.rc );
		curTransItem++;
	}
	else{
		var y = 0;

		if( (theAnim.endY - theAnim.bc) > 10 ) y = 5
		else if( (theAnim.endY - theAnim.bc) == 0 ) y = 0
		else y = 1;

		theAnim.bc = theAnim.bc + y;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Slide From Right
////////////////////////////////////////////////////////////////////////////////////////

function inetSlideFromRight()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endX = inetGetLeft( theItem );
		theAnim.tc = 0;
		theAnim.lc = 0;
		theAnim.bc = inetGetHeight( theItem );
		theAnim.rc = 0;
		inetSetLeft( theItem, (theAnim.endX + inetGetWidth(theItem)) );
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( inetGetLeft(theItem) <= theAnim.endX ){
		inetSetLeft( theItem, theAnim.endX );
		curTransItem++;
	}
	else{
		var x = 0;

		if( (inetGetLeft(theItem) - theAnim.endX) > 10 ) x = -5
		else if( (inetGetLeft(theItem) - theAnim.endX) == 0 ) x = 0
		else x = -1;

		inetMoveLeft( theItem, x );
		theAnim.rc = theAnim.rc - x;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Slide From Bottom
////////////////////////////////////////////////////////////////////////////////////////

function inetSlideFromBottom()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endY = inetGetTop( theItem );
		theAnim.tc = 0;
		theAnim.lc = 0;
		theAnim.bc = 0;
		theAnim.rc = inetGetWidth( theItem );
		inetSetTop( theItem, (theAnim.endY + inetGetHeight(theItem)) );
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( inetGetTop(theItem) <= theAnim.endY ){
		inetSetTop( theItem, theAnim.endY );
		curTransItem++;
	}
	else{
		var y = 0;

		if( (inetGetTop(theItem) - theAnim.endY) > 10 ) y = -5
		else if( (inetGetTop(theItem) - theAnim.endY) == 0 ) y = 0
		else y = -1;

		inetMoveTop( theItem, y );
		theAnim.bc = theAnim.bc - y;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
	}
}

////////////////////////////////////////////////////////////////////////////////////////
//Slide From Left
////////////////////////////////////////////////////////////////////////////////////////

function inetSlideFromLeft()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endX = inetGetLeft( theItem );
		theAnim.tc = 0;
		theAnim.lc = inetGetWidth( theItem );
		theAnim.bc = inetGetHeight( theItem );
		theAnim.rc = inetGetWidth( theItem );
		inetSetLeft( theItem, (theAnim.endX - inetGetWidth(theItem)) );
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( inetGetLeft(theItem) >= theAnim.endX ){
		inetSetLeft( theItem, theAnim.endX );
		curTransItem++;
	}
	else{
		var x = 0;

		if( (theAnim.endX - inetGetLeft(theItem)) > 10 ) x = 5
		else if( (theAnim.endX - inetGetLeft(theItem)) == 0 ) x = 0
		else x = 1;

		inetMoveLeft( theItem, x );
		theAnim.lc = theAnim.lc - x;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
	}
}

///////////////////////////////////////////////////////////////////////////////////////
//Slide From Top
///////////////////////////////////////////////////////////////////////////////////////

function inetSlideFromTop()
{
	var theAnim = animArray[curTransItem];
	var theItem = theAnim.layer;

	if( theAnim.issetup == false ){
		theAnim.endY = inetGetTop( theItem );
		theAnim.tc = inetGetHeight( theItem );
		theAnim.lc = 0
		theAnim.bc = inetGetHeight( theItem );
		theAnim.rc = inetGetWidth( theItem );
		inetSetTop( theItem, (theAnim.endY - inetGetHeight(theItem)) );
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
		inetSetVisible( theItem, true );
		theAnim.issetup = true;
	}

	if( inetGetTop(theItem) >= theAnim.endY ){
		inetSetTop( theItem, theAnim.endY );
		curTransItem++;
	}
	else{
		var y = 0;

		if( (theAnim.endY - inetGetTop(theItem)) > 10 ) y = 5
		else if( (theAnim.endY - inetGetTop(theItem)) == 0 ) y = 0
		else y = 1;

		inetMoveTop( theItem, y );
		theAnim.tc = theAnim.tc - y;
		inetSetClipRect( theItem, theAnim.tc, theAnim.lc, theAnim.bc, theAnim.rc );
	}
}
